Loading...
Searching...
No Matches
etl::iqueue_spsc_locked_base< MEMORY_MODEL > Class Template Reference

## Public Types

typedef etl::size_type_lookup< MEMORY_MODEL >::type | size_type
| The type used for determining the size of queue.

## Public Member Functions

size_type | available_from_unlocked () const
| How much free space available in the queue.
bool | full_from_unlocked () const
| Is the queue full?
size_type | size_from_unlocked () const
| How many items in the queue?
bool | empty_from_unlocked () const
| Is the queue empty?
size_type | capacity () const
| How many items can the queue hold.
size_type | max_size () const
| How many items can the queue hold.

## Protected Member Functions

| iqueue_spsc_locked_base (size_type max_size_)
size_type | available_implementation () const
| How much free space available in the queue.
bool | full_implementation () const
| Is the queue full?
size_type | size_implementation () const
| How many items in the queue?
bool | empty_implementation () const
| Is the queue empty?
| ~iqueue_spsc_locked_base ()
| Destructor.

## Static Protected Member Functions

static size_type | get_next_index (size_type index, size_type maximum)
| Calculate the next index.

## Protected Attributes

size_type | write_index
| Where to input new data.
size_type | read_index
| Where to get the oldest data.
size_type | current_size
| The current size of the queue.
const size_type | MAX_SIZE
| The maximum number of items in the queue.

The documentation for this class was generated from the following file:

- include/etl/queue_spsc_locked.h